Burn Vendor Balance
curl --request POST \
--url https://api.topsort.com/public/v1/billing-service/vendors/{external-vendor-id}/balance/burn \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"description": "<string>"
}
'import requests
url = "https://api.topsort.com/public/v1/billing-service/vendors/{external-vendor-id}/balance/burn"
payload = {
"amount": 123,
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 123, description: '<string>'})
};
fetch('https://api.topsort.com/public/v1/billing-service/vendors/{external-vendor-id}/balance/burn', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Billing API
Burn Vendor Balance
Endpoint to burn some amount of balance for a vendor.
POST
/
public
/
v1
/
billing-service
/
vendors
/
{external-vendor-id}
/
balance
/
burn
Burn Vendor Balance
Authorizations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Path Parameters
The External ID of the Vendor to retrieve.
Minimum string length:
1Body
application/json
Basic request payload for Burning Balance.
Amount to Burn. The value must be greater or equal to the minimum currency units. For example, for USD you cannot specify 0.009, as that's less than 1 cent.
Example:
100
Reason given to burn the amount
Minimum string length:
1Example:
"Vendor used the money for other ads"
Response
Successful Response
Was this page helpful?
⌘I